import { type CreateStoreControllerOptions } from '@pnpm/store-connection-manager';
import { type InstallOptions } from '@pnpm/core';
import { type Config } from '@pnpm/config';
export declare const rcOptionsTypes: typeof cliOptionsTypes;
export declare function cliOptionsTypes(): {};
export declare function help(): string;
export declare const commandNames: string[];
export type ImportCommandOptions = Pick<Config, 'allProjects' | 'allProjectsGraph' | 'selectedProjectsGraph' | 'workspaceDir' | 'ignoreWorkspaceCycles' | 'disallowWorkspaceCycles' | 'sharedWorkspaceLockfile' | 'rootProjectManifest' | 'rootProjectManifestDir'> & CreateStoreControllerOptions & Omit<InstallOptions, 'storeController' | 'lockfileOnly' | 'preferredVersions'>;
export declare function handler(opts: ImportCommandOptions, params: string[]): Promise<void>;
